Bug 467824 - Unknown model for ALC883
Unknown model for ALC883
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 00:04 EDT by Ralf Corsepius
Modified: 2009-09-06 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 13:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-10-21 00:04:39 EDT
Description of problem:

/var/log/messages contains this:
...
kernel: hda_codec: Unknown model for ALC883, trying auto-probe from BIOS...
...

Version-Release number of selected component (if applicable):
Current (2008-10-21) rawhide: kernel-2.6.27.3-27.rc1.fc10.i686

How reproducible:
Always.

Actual results:
AFAICT, despite of the warning, at least basic sound features seems to work, but I haven't tried to check in depth, because other sound-issues have been interfering with recent rawhide.


Additional info:
# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC888 Analog [ALC888 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

# lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
Comment 1 Bug Zapper 2008-11-25 23:04:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Vedran Miletić 2009-08-26 08:55:19 EDT
This warning happens on _every_ board that isn't specifically listed in ALSA driver (and only those that have buggy BIOSes are listed). If it works, this isn't a problem.
Comment 3 Ralf Corsepius 2009-08-26 09:16:48 EDT
(In reply to comment #2)
> This warning happens on _every_ board that isn't specifically listed in ALSA
> driver (and only those that have buggy BIOSes are listed).
Do you call this proper operation? I call this broken design.

> If it works, this isn't a problem.  
A false warning is a bug, whether you like this or not - period.

Reopening.
Comment 4 Vedran Miletić 2009-08-26 14:10:25 EDT
This bug will likely go unnoticed here (by Takashi Iwai or anyone else who would make a releveant change). You should report it to alsa-devel mailing list if you want to see it fixed.
Comment 5 Ralf Corsepius 2009-08-26 21:42:46 EDT
(In reply to comment #4)
> This bug will likely go unnoticed here (by Takashi Iwai or anyone else who
> would make a releveant change). You should report it to alsa-devel mailing list
> if you want to see it fixed.  
Great, another example of a non-cooperational maintainer who trying to push around users upstream - Please understand that I consider maintainers who expose this kind of attitude to be a miscast and recommend you to quit Fedora.
Comment 6 Vedran Miletić 2009-08-27 04:27:34 EDT
OK, I will report it for you and even make a patch if you suggest a better (i.e. less confusing) message in place of this one. Something like...

kernel: hda_codec: Unknown model for ALC883, trying auto-probe from BIOS...
kernel: hda_codec: Notice: there is a great chance that everything will work correctly regardless.
kernel: hda_codec: Notice: the above message means only that your board isn't specifically listed in ALSA driver.

Having every board in existence whitelisted would be insane.
Comment 7 Vedran Miletić 2009-09-06 13:26:40 EDT
Fixed upstream, and explained in detail in Documentation/sound/alsa/HD-Audio.txt. Fedora will pick it with new kernel.

Closing.

Note You need to log in before you can comment on or make changes to this bug.